%define upstream_name    Catalyst-Plugin-Session-Store-FastMmap
%define abbrev_name      Catalyst-P-S-Store-FastMmap
%define upstream_version 0.16

Name:       perl-%{abbrev_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    FastMmap session storage backend
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache::FastMmap) >= 1.290.0
BuildRequires: perl(Catalyst::ClassData)
BuildRequires: perl(Catalyst::Plugin::Session) >= 0.270.0
BuildRequires: perl(Catalyst::Runtime) >= 5.800.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(MooseX::Emulate::Class::Accessor::Fast)
BuildRequires: perl(Path::Class)
BuildArch:  noarch

Requires:   perl(MooseX::Emulate::Class::Accessor::Fast)
Provides:   perl-%{upstream_name}
Obsoletes:  perl-%{upstream_name}

%description
Catalyst::Plugin::Session::Store::FastMmap is a fast session storage plugin for
Catalyst that uses an mmap'ed file to act as a shared memory interprocess
cache. It is based on Cache::FastMmap.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL installdirs=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%perl_vendorlib/Catalyst
%_mandir/*/*



%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.160.0-11.mga10
+ Revision: 2197756
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.160.0-10.mga9
+ Revision: 1802244
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.160.0-9.mga8
+ Revision: 1493475
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.160.0-8.mga7
+ Revision: 1265972
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.160.0-7.mga6
+ Revision: 1023399
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.160.0-6.mga6
+ Revision: 932000
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-5.mga5
+ Revision: 739518
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.160.0-3.mga4
+ Revision: 509846
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 363933
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 0.160.0-1.mga2
+ Revision: 212717
- update to 0.16

* Fri Apr 08 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 82237
- update to 0.14

* Wed Jan 26 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 41012
- mageia rebuild
- imported package perl-Catalyst-P-S-Store-FastMmap

